## python-lsp-isort 0.2.2

=== Makefile ===
include Makefile.config
-include Makefile.custom.config

all: install check-outdated

install:
	test -d $(VENV) || virtualenv $(VENV)
	$(PIP) install --upgrade --no-cache pip setuptools -e . devcore

clean:
	rm -fr $(VENV)
	rm -fr *.egg-info

check-outdated:
	$(PIP) list --outdated --format=columns

release:
	git pull
	$(eval VERSION := $(shell PROJECT_NAME=$(PROJECT_NAME) $(VENV)/bin/devcore bump $(LEVEL)))
	git commit -am "Bump $(VERSION)"
	git tag $(VERSION)
	$(PYTHON) setup.py sdist bdist_wheel upload
	git push
	git push --tags

=== debian/changelog ===
python-lsp-isort (0.2.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 14:42:33 +0000

python-lsp-isort (0.2.2-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Sep 2021 15:06:57 +0200

python-lsp-isort (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #994606)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 18 Sep 2021 15:55:28 +0200

=== debian/control ===
Source: python-lsp-isort
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pylsp,
               python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/paradoxxxzero/pyls-isort
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-isort.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-isort
Rules-Requires-Root: no

Package: python3-pylsp-isort
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Isort plugin for the Python Language Server
 This package provides a plugin to support the isort import sorter in editors
 that support the Python Language Server.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/paradoxxxzero/pyls-isort/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-lsp-isort 0.2.2%2Breally%2B0.1

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-pylsp,
                python3-setuptools,
-Standards-Version: 4.6.1
-Homepage: https://github.com/paradoxxxzero/pyls-isort
+               pybuild-plugin-pyproject,
+               python3-isort <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pylsp <!nocheck>,
+Standards-Version: 4.6.2
+Homepage: https://github.com/chantera/python-lsp-isort
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lsp-isort.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lsp-isort
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pylsp-isort
 Architecture: all

## python-lsp-isort 0.2.2+really+0.1

=== debian/changelog ===
python-lsp-isort (0.2.2+really+0.1-1) unstable; urgency=medium

  * Switch to new upstream project
  * New upstream version 0.1
  * Update d/copyright for new upstream
  * Bump policy version (no changes)
  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Feb 2024 13:41:09 +0100

=== debian/rules ===
#!/usr/bin/make -f

# isort sorts different with installed lsp-isort package
ifeq ($(PYBUILD_AUTOPKGTEST),1)
export PYBUILD_TEST_ARGS = -k "not test_run_isort and not test_pylsp_format_document"
endif

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/chantera/python-lsp-isort/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
